Ubuntu

1002:714a Kernel 3.5 is not booting

Reported by Fibonacci on 2013-01-29
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

I've installed kernel 3.5 as part of an upgrade to Quantal on my laptop, and I haven't been able to get it to boot. This is what I see on my screen before the computer freezes:
Loading Linux 3.5.0-##-generic...
Loading initial ramdisk...

3.5 boots with nomodeset, but the maximum possible screen resolution is too low (1024×768) and there is some sort of colour artifacts, making the desktop unusable in that case.

I've tested on the latest upstream kernel too (v3.8-rc4), but the bug is still present.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-generic 3.5.0.22.28
ProcVersionSignature: Ubuntu 3.2.0-32.51-generic-pae 3.2.30
Uname: Linux 3.2.0-32-generic-pae i686
ApportVersion: 2.6.1-0ubuntu9
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fibonacci 1857 F.... pulseaudio
Date: Mon Jan 28 21:26:34 2013
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=5f32e5ec-c004-4cd7-b536-06553d842262
InstallationDate: Installed on 2012-07-31 (181 days ago)
InstallationMedia: Kubuntu 12.04 LTS "Precise Pangolin" - Release i386 (20120423)
MachineType: Hewlett-Packard HP Compaq nc6400 (EH521AV)
MarkForUpload: True
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=
 TERM=xterm
 PATH=(custom, no user)
 LANG=C
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-32-generic-pae root=UUID=3fad931e-f931-4a8e-a14b-d9f3e2a182a9 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-32-generic-pae N/A
 linux-backports-modules-3.2.0-32-generic-pae N/A
 linux-firmware 1.95
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2012-10-22 (98 days ago)
dmi.bios.date: 09/05/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YCD Ver. F.0B
dmi.board.name: 30AC
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 56.36
dmi.chassis.asset.tag: MXL7250SWK
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YCDVer.F.0B:bd09/05/2007:svnHewlett-Packard:pnHPCompaqnc6400(EH521AV):pvrF.0B:rvnHewlett-Packard:rn30AC:rvrKBCVersion56.36:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq nc6400 (EH521AV)
dmi.product.version: F.0B
dmi.sys.vendor: Hewlett-Packard

Fibonacci (fibonacci-prower) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Fibonacci, thank you for reporting this and helping make Ubuntu better. Could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc5-raring/ ?

tags: added: needs-bisect needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
Fibonacci (fibonacci-prower) wrote :

Still happens.

tags: added: kernel-bug-exists-upstream
tags: added: kernel-bug-exists-upstream-v3.8-rc5
removed: kernel-bug-exists-upstream-v3.8-rc4 needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Fibonacci, the next step is to commit bisect this from Quantal to the last release this worked for you. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Fibonacci (fibonacci-prower) wrote :

I couldn't find the bug without installing the linux-image-extra packages. However, my desktop is barely usable without said packages, so I had to installed them anyway.
I've found through bisection that the bug is not present in 3.4.0-5.11, though it is on 3.5.0-1.1.

I tried to do a commit bisect between those two versions, but I could find no kernel older than 3.5 on git://kernel.ubuntu.com/ubuntu/ubuntu-quantal.git, and no kernel newer than 3.2 on git://kernel.ubuntu.com/ubuntu/ubuntu-precise.git.
Perhaps I'm doing something wrong. How can I then perform the bisect?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Fibonacci (fibonacci-prower) wrote :

The bug is still present on v3.5-rc2.
I could still not proceed with the commit bisect: after running git bisect start v3.5-rc2 Ubuntu-3.4.0-5.11 there is no debian.master/ or debian/ directory, so I cannot build a new kernel for testing.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Fibonacci (fibonacci-prower) wrote :

This is the result of the bisect. Unfortunately I had to skip some kernels because they wouldn't compile.

2099810f903caa1920f3ef6014fb7f36e4786490 is the first bad commit
commit 2099810f903caa1920f3ef6014fb7f36e4786490
Author: Dave Airlie <email address hidden>
Date: Tue Apr 3 11:53:05 2012 +0100

    drm/radeon: enable pci bus mastering after card is initialised (v2)

    This closes a race seen with kexec where we enable PCI bus mastering
    but the card has been reinitialised fully yet.

    This was previously fixed by a patch from Jerome, but this should
    close the race completely.

    v2: add SI support as suggested by Alex.

    Reported-and-tested-by: Markus Trippelsdorf <email address hidden>
    Signed-off-by: Dave Airlie <email address hidden>

:040000 040000 543c4ab332c9e62bf964d005f42e918160508777 73177e660b0ebca43b6a449bc208d7c8b00ab8c8 M drivers

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bisect-done
removed: needs-bisect
GPratique (gpratiqueav) wrote :

The bug is also affecting my configuration:
Laptop Compaq 6910p with radeon X2300 video.

- output of: "lspci | grep VGA"
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI M64-S [Mobility Radeon X2300]

- output of: "uname -a" (my current configuration, working perfectly)
Linux Compaq-6910p 3.2.0-44-generic #69-Ubuntu SMP Thu May 16 17:35:01 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Basically trying to boot all Linux distro with Kernel > 3.4 will result in a black screen with unresponsive keyboard. Booting with nomodeset=1 always works but brings a 1024x768 resolution instead of native 1280x800.

As user "Fibonacci" found out the offending kernel patch, what can be done to undo it in future kernel versions? I understand that we are a relatively small number of users affected, with a relatively outdated hardware. Any hope?

Thanks for your work and time.

GPratique, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
tags: added: latest-bios-f.0b
summary: - Kernel 3.5 is not booting
+ 1002:714a Kernel 3.5 is not booting

Fibonacci, could you please test the latest upstream kernel available (v3.10-rc2) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Fibonacci (fibonacci-prower) wrote :

Still there.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.10-rc2
removed: kernel-bug-exists-upstream-v3.8-rc5 needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Fibonacci, thank you for testing the newest mainline kernel. The issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel#KernelTeam.2BAC8-KernelTeamBugPolicies.Overview_on_Reporting_Bugs_Upstream ?

Thank you for your understanding.

GPratique (gpratiqueav) wrote :

Christopher, Fibonacci,

It seems to me that this bug is related to one already reported on Kernel.org:

https://bugzilla.kernel.org/show_bug.cgi?id=54191
"Unable to boot without disabling KMS: ATI Mobility Radeon X1300"

Thanks for your work.

GPratique, thank you for the link. Unfortunately, the public bugzilla is not the preferred venue of reporting new bugs, or validating previously reported ones for upstream maintainers or developers. Hence, Fibonnacci would want to follow the instructions noted in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1108457/comments/15 in maximize the speed of this issue being addressed.

GPratique (gpratiqueav) wrote :

@penalvch: understood. Although it seems to me that this bug has already been reported in different ways multiple times across multiple distributions. For example bug #1070773 here at launchpad looks pretty much a duplicate to me.

Is there a way to contact the dev who did the commit discovered by Fibonacci, i.e. Dave Airlie? He seems pretty high up in the food chain, and would probably be of great help.

GPratique, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1108457/comments/18 :
>"Although it seems to me that this bug has already been reported in different ways multiple times across multiple distributions. For example bug #1070773 here at launchpad looks pretty much a duplicate to me."

linux (Ubuntu) bug reports are treated as separate reports based on the preference of the Ubuntu Kernel team:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

and the Ubuntu Bug Control team and Ubuntu Bug Squad:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

unless a developer notes otherwise.

>"Is there a way to contact the dev who did the commit discovered by Fibonacci, i.e. Dave Airlie? He seems pretty high up in the food chain, and would probably be of great help."

Unfortunately, one does not contact people simply based on a the maintainership hierarchy, as this is considered spam. If we did, all issues would then just go to Linus, who has better things to do, then entertain every "I have a bug in the linux kernel" e-mail sent to him.

Despite this, Fibonacci not performing the actions previously requested of him are counterproductive to getting this issue resolved, for the reasons stated previously. If you have further questions, please do not comment further in this report, but instead you may contact me directly, place them in the appropriate forum, and perform the actions previously requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1108457/comments/12 .

Thank you for your understanding.

GPratique (gpratiqueav) wrote :

This issue and it's numerous siblings may have been solved upstream in kernel 3.9.6 by:
http://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=e335ccae2ae4caef26a1e81711c44aec1cc83bd2

Regards,

Julian Wiedmann (jwiedmann) wrote :

Fibonacci,

could you please update to the latest kernel in quantal-updates (3.5.0-37.58) and see if it fixes this bug?
Thanks.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Piotr Kęplicz (keplicz) wrote :

FWIW the related bug #1070773 is fixed by the kernel 3.8.0-28.41 from raring-proposed - it also containts the necessary patch "radeon: Fix system hang issue when using KMS with older cards".

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.